declare class ChatId {
    private static TAG;
    private static SINGLE_PREFIX;
    private static GROUP_PREFIX;
    private static SEPARATOR;
    private static GROUP_PARAM;
    private static readonly CREATE;
    private readonly code;
    constructor(code: string);
    createById(chatId: string): ChatId;
    static create(aChatId: string): string;
    private static bytes2HexString;
    isChatId(): boolean;
    isSingle(chatId?: string): boolean;
    isGroup(): boolean;
    encode(): string;
    getTargetId(): string;
    splitUid(): string[] | undefined;
}
export default ChatId;
